> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/webhooks/delete.md).

# Delete

To delete an existing webhook you need to execute a **DELETE** request against the **/webhooks/:id** endpoint.

The **id** uniquely identifies the webhook and you can find it in the [create webhook](/reference/rest-api/webhooks/create.md#response-200-ok) response.

{% hint style="danger" %}
This is a destructive operation and webhook requests won't be send anymore to the deleted webhook.
{% endhint %}

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request DELETE \
  --url https://api.digitalsamba.com/api/v1/webhooks/7adb1f07-db15-4cdc-8bf0-2be746fcec2a \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
```

{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your webhook id here - this value is just an example
String webhookId = "7adb1f07-db15-4cdc-8bf0-2be746fcec2a";

HttpRequest request = HttpRequest.newBuilder()
  .DELETE()
  .uri(new URI("https://api.digitalsamba.com/api/v1/webhooks/" + webhookId))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

**Response (204 -> No Content)**&#x20;

Response is empty because the webhook was deleted and there is no content to return.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/webhooks/delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
